%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name PHP_CodeCoverage
%global channel pear.phpunit.de

Name:           php-phpunit-PHP-CodeCoverage
Version:        1.0.4
Release:        1%{?dist}
Summary:        PHP code coverage information

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/sebastianbergmann/php-code-coverage
Source0:        http://pear.phpunit.de/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.9.0
BuildRequires:  php-channel(%{channel})

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-xml >= 5.2.7
Requires:       php-pecl(Xdebug) >= 2.0.5
Requires:       php-pear(%{channel}/File_Iterator) >= 1.2.2
Requires:       php-pear(%{channel}/PHP_TokenStream) >= 1.0.0
Requires:       php-pear(%{channel}/Text_Template) >= 1.0.0
Requires:       php-pear(components.ez.no/ConsoleTools) >= 1.6

Provides:       php-pear(%{channel}/%{pear_name}) = %{version}

%description
Library that provides collection, processing, and rendering functionality
for PHP code coverage information.


%prep
%setup -q -c
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

# Create links for standard RPM docdir (to standard PEAR docdir)
ln -s %{pear_docdir}/%{pear_name}/LICENSE            LICENSE
ln -s %{pear_docdir}/%{pear_name}/ChangeLog.markdown CHANGELOG

cd %{pear_name}-%{version}
# package.xml is V2 - hack to lower PEAR dependency
%{_bindir}/php <<EOF
<?php
\$xml = simplexml_load_file("../package.xml"); 
\$xml->dependencies->required->pearinstaller->min="1.9.0";
file_put_contents("%{name}.xml",\$xml->asXML());
EOF


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/PHP
%{_bindir}/phpcov


%changelog
* Wed Feb 16 2011 Remi Collet <Fedora@famillecollet.com> - 1.0.4-1
- Version 1.0.4 (stable) - API 1.0.3 (stable)
- LICENSE CHANGELOG now provided by upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Remi Collet <Fedora@famillecollet.com> - 1.0.3-1
- Version 1.0.3 (stable) - API 1.0.3 (stable)

* Wed Nov 17 2010 Remi Collet <Fedora@famillecollet.com> - 1.0.2-1
- Version 1.0.2 (stable) - API 1.0.0 (stable)

* Thu Nov 04 2010 Remi Collet <Fedora@famillecollet.com> - 1.0.0-1.1
- lower PEAR dependency to allow f13 and el6 build
- fix URL

* Sun Sep 26 2010 Remi Collet <Fedora@famillecollet.com> - 1.0.0-1
- initial generated spec + clean

